/*
 * MWS Admin v2.1 - Form Stylesheet
 * This file is part of MWS Admin, an Admin template build for sale at ThemeForest.
 * All copyright to this file is hold by Mairel Theafila <maimairel@yahoo.com> a.k.a nagaemas on ThemeForest.
 * Last Updated:
 * December 08, 2012
 *
 */
   
/* Form Style
================================================== */
 
.mws-form {
    clear: both;
    display: block;
    margin-bottom: 0;
}

.mws-form .mws-form-row {
    padding: 18px 24px;
}

.mws-form .mws-form-row.bordered {
    border-bottom: 1px solid #d5d5d5;
}

.mws-form .mws-form-row:last-child.bordered {
    border-bottom: 0;
}

.ui-dialog .mws-form-row {
    padding: 0 0 18px 0;
}

/* Button Row
================================================== */

.mws-form .mws-button-row {
    padding: 16px 24px;
    border-top: 1px solid #bcbcbc;
    background-color: #d2d2d2;
}

.mws-form .mws-button-row .btn + .btn,
.mws-form .mws-button-row .btn-group + .btn,
.mws-form .mws-button-row .btn + .btn-group {
    margin-left: 5px;
}

/* Fieldset
================================================== */

.mws-form fieldset {
    margin: 0;
    padding: 0;
    border: 0;
}

.mws-form fieldset:first-child legend {
    border-top: 0;
}

.mws-form fieldset legend {
    margin: 0;
    border: solid #ccc;
    border-width: 1px 0;
    background: #f8f8f8 repeat-x left bottom;
    background-image: -ms-linear-gradient(top, #f8f8f8, #e7e7e7);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#f8f8f8), to(#e7e7e7));
    background-image: -webkit-linear-gradient(top, #f8f8f8, #e7e7e7);
    background-image: -o-linear-gradient(top, #f8f8f8, #e7e7e7);
    background-image: -moz-linear-gradient(top, #f8f8f8, #e7e7e7);
    background-image: linear-gradient(top, #f8f8f8, #e7e7e7);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f8f8f8', endColorstr='#e7e7e7', GradientType=0);
    color: #555;
    line-height: 24px;
    padding: 8px;
    padding-left: 20px;
    width: 100%;
    display: block;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
}

.mws-form fieldset:first-child {
    border-top: 0;
}

/* Form Labels
================================================== */

.mws-form .mws-form-label {
    padding-bottom: 5px;
    cursor: pointer;
    display: block;
}

.mws-form .mws-form-label .required {
    color: #f00;
}

/* Form Inputs
================================================== */

.mws-form .mws-form-item {
    position: relative;
}

.mws-form .mws-form-item .medium {
    width: 75%;
}

.mws-form .mws-form-item .large {
    width: 100%;
}

.mws-form .mws-form-item .small {
    width: 55%;
}

select, 
textarea, 
input[type="text"], 
input[type="password"], 
input[type="datetime"], 
input[type="datetime-local"], 
input[type="date"], 
input[type="month"], 
input[type="time"],
input[type="week"], 
input[type="number"], 
input[type="email"], 
input[type="url"], 
input[type="search"], 
input[type="tel"], 
input[type="color"] {
    border: 1px solid #c5c5c5;
    padding: 4px 6px;
    color: #323232;
    margin: 0;
    min-height: 30px;
    line-height: 20px;
    background-color: #ffffff;
    outline: none;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -webkit-box-shadow: inset 0px 1px 3px rgba(128, 128, 128, 0.1);
    -moz-box-shadow: inset 0px 1px 3px rgba(128, 128, 128, 0.1);
    box-shadow: inset 0px 1px 3px rgba(128, 128, 128, 0.1);
}

.mws-form textarea {
    height: 10em;
    resize: none;
}

.mws-form input[disabled],
.mws-form select[disabled],
.mws-form textarea[disabled],
.mws-form input[readonly],
.mws-form select[readonly],
.mws-form textarea[readonly] {
    background: #f0f0f0;
}

.mws-form select.error, 
.mws-form textarea.error, 
.mws-form input[type="text"].error, 
.mws-form input[type="password"].error, 
.mws-form input[type="datetime"].error, 
.mws-form input[type="datetime-local"].error, 
.mws-form input[type="date"].error, 
.mws-form input[type="month"].error, 
.mws-form input[type="time"].error,
.mws-form input[type="week"].error, 
.mws-form input[type="number"].error, 
.mws-form input[type="email"].error, 
.mws-form input[type="url"].error, 
.mws-form input[type="search"].error, 
.mws-form input[type="tel"].error, 
.mws-form input[type="color"].error {
    border-color: #eb979b;
}

/* Column Form Layout
================================================== */

.mws-form .mws-form-cols {
    *zoom: 1;
}

.mws-form .mws-form-cols:before,
.mws-form .mws-form-cols:after {
    display: table;
    content: "";
    line-height: 0;
}

.mws-form .mws-form-cols:after {
    clear: both;
}

.mws-form .mws-form-cols [class^="mws-form-col-"] .mws-form-label, 
.mws-form .mws-form-cols [class*=" mws-form-col-"] .mws-form-label {
    white-space: nowrap;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
}

.mws-form .mws-form-cols [class^="mws-form-col-"], 
.mws-form .mws-form-cols [class*=" mws-form-col-"] {
    float: left;
    margin-left: 1.8181818181818181%;
}

.mws-form .mws-form-cols [class^="mws-form-col-"]:first-child, 
.mws-form .mws-form-cols [class*=" mws-form-col-"]:first-child {
    margin-left: 0;
}

.mws-form .mws-form-cols .mws-form-item {
    margin: 0 !important;
}

.mws-form .mws-form-cols .mws-form-col-8-8 {
    width: 100%;
}

.mws-form .mws-form-cols .mws-form-col-7-8 {
    width: 87.27272727272727%;
}

.mws-form .mws-form-cols .mws-form-col-6-8 {
    width: 74.54545454545455%;
}

.mws-form .mws-form-cols .mws-form-col-5-8 {
    width: 61.81818181818181%;
}

.mws-form .mws-form-cols .mws-form-col-4-8 {
    width: 49.090909090909086%;
}

.mws-form .mws-form-cols .mws-form-col-3-8 {
    width: 36.36363636363636%;
}

.mws-form .mws-form-cols .mws-form-col-2-8 {
    width: 23.636363636363633%;
}

.mws-form .mws-form-cols .mws-form-col-1-8 {
    width: 10.909090909090908%;
}

.mws-form .mws-form-cols [class^="mws-form-col-"] select, 
.mws-form .mws-form-cols [class^="mws-form-col-"] textarea, 
.mws-form .mws-form-cols [class^="mws-form-col-"] input {
    width: 100%;
}

/* Form Layout
================================================== */

.mws-form .mws-form-inline .mws-form-item {
    margin-left: 156px;
}

.mws-form .mws-form-inline .mws-form-label {
    width: 140px;
    float: left;
    padding-top: 5px;
}

.mws-form .mws-form-inline .mws-form-block .mws-form-label {
    width: auto;
    float: none;
    padding-top: 0;
    margin-right: 0;
}

.mws-form .mws-form-inline .mws-form-block .mws-form-item {
    margin-left: 0;
}

/* Form List
================================================== */

.mws-form .mws-form-list, 
.mws-form .mws-form-list li {
    margin: 0;
    padding: 0;
    list-style: none;
}

.mws-form .mws-form-list li {
    margin-bottom: 4px;
}

.mws-form .mws-form-list li:last-child {
    margin-bottom: 0;
}

.mws-form .mws-form-list.inline {
    margin-top: 4px;
}

.mws-form .mws-form-list.inline li {
    display: inline-block;
    *display: inline;
    *zoom: 1;
    margin: 0 5px 0 0;
    vertical-align: middle;
}

.mws-form .mws-form-list li > input, 
.mws-form .mws-form-list li > label {
    padding: 0;
    margin: 0 1px 0 0;
    display: inline-block;
    *display: inline;
    *zoom: 1;
    vertical-align: middle;
}

/* Form Clearfix
================================================== */

.mws-form .mws-form-row:before,
.mws-form .mws-form-row:after {
    display: table;
    content: "";
    line-height: 0;
}

.mws-form .mws-form-row:after {
    clear: both;
}

.mws-form .mws-form-row {
    *zoom: 1;
}

/* Form Messages
================================================== */

.mws-form-message {
    font-size: 12px;
    cursor: pointer;
    border: 1px solid #d2d2d2;
    padding: 15px 8px 15px 45px;
    position: relative;
    vertical-align: middle;
    background-color: #f8f8f8;
    background-position: 12px 12px;
    background-repeat: no-repeat;
    margin-bottom: 12px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
}

.mws-form-message p, 
.mws-form-message ul, 
.mws-form-message ol {
    margin: 0;
}

.mws-form-message ul li, 
.mws-form-message ol li {
    list-style-position: inside;
    list-style-type: inherit;
    margin: 0;
}

.mws-form-message.error {
    background-color: #ffcbca;
    background-image: url(../images/core/message-error.png);
    border-color: #eb979b;
    color: #9b4449;
}

.mws-form-message.success {
    background-color: #e1f1c0;
    background-image: url(../images/core/message-success.png);
    border-color: #b5d56d;
    color: #62a426;
}

.mws-form-message.warning {
    background-color: #fef0b1;
    background-image: url(../images/core/message-warning.png);
    border-color: #ddca76;
    color: #a98b15;
}

.mws-form-message.info {
    background-color: #bce5f7;
    background-image: url(../images/core/message-info.png);
    border-color: #a6d3e8;
    color: #11689E;
}

.mws-panel-body.no-padding .mws-form-message {
    margin-bottom: 0;
    border-width: 0 0 1px 0;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
}

.mws-panel-body.no-padding .mws-form-message + .mws-form-message {
    border-top: 0;
}

/* Form Errors
================================================== */

.mws-form .mws-form-item .mws-error, 
.mws-form .mws-form-item label.error, 
.mws-form .mws-form-item span.error, 
.mws-form .mws-form-item div.error {
    background: none;
    color: #c83139;
    margin: 0;
    width: auto;
    float: none;
    display: block;
    padding: 5px 0 0;
    font-size: 12px;
}

/* Other Elements
================================================== */

.mws-colorpicker {
    background-image: url(../images/core/cpicker.png);
    background-repeat: no-repeat;
    background-position: right center;
    padding-right: 32px;
}

.mws-form-item .ui-progressbar {
    position: relative;
    top: 7px;
}

.mws-form-item .ui-slider-horizontal {
    position: relative;
    top: 12px;
}

.mws-form-item .select2-container {
    width: 100%;
}

.select2-container-multi .select2-choices .select2-search-field input {
    min-height: 26px;
    line-height: 16px;
}

.select2-container .select2-choice {
    line-height: 28px;
    height: 28px;
}

.csc-button {
    outline: none;
    float: right;
    padding: 6px 9px;
    margin: -7px -8px -7px 2px;
    cursor: pointer;
    z-index: 9999;
    font-family: 'PTSansRegular', Arial, Helvetica, sans-serif;
    background-color: #e0e0e0;
    color: #666666;
    border: 1px solid #ababab;
    -webkit-border-radius: 0 3px 3px 0;
    -moz-border-radius: 0 3px 3px 0;
    border-radius: 0 3px 3px 0;
    -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.3);
    -moz-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.3);
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.3);
    background-image: -webkit-gradient(linear, 50% 0%, 50% 100%, color-stop(0%, #e8e5e5), color-stop(100%, #e0e0e0));
    background-image: -webkit-linear-gradient(#e8e5e5,#e0e0e0);
    background-image: -moz-linear-gradient(#e8e5e5,#e0e0e0);
    background-image: -o-linear-gradient(#e8e5e5,#e0e0e0);
    background-image: linear-gradient(#e8e5e5,#e0e0e0);
}

@media only screen and (max-width: 768px) {
    
    .mws-form .mws-form-inline .mws-form-label, 
    .mws-form .mws-form-inline .mws-form-item {
        display: block;
        width: 100%;
        margin: 0;
        float: none;
    }

    .mws-form .mws-form-inline .mws-form-label {
        padding-top: 0;
    }

    .mws-form .mws-form-inline .mws-form-list {
        float: none;
        width: auto;
        display: block;
    }

    .mws-form .mws-form-list.inline li {
        float: none;
        margin-right: 0;
    }
}

@media only screen and (max-width : 599px) {
    .mws-form .mws-form-row {
        padding: 16px 12px;
    }

    .mws-form .mws-button-row {
        padding: 6px 8px;
    }

    .mws-form-message {
        padding-top: 10px;
        padding-bottom: 10px;
        background-position: 12px 7px;
    }

    #mws-login .mws-form .mws-form-row {
        padding: 12px 0;
    }
}
